Bug 108751 - LTC5225-Can we get the full supported locale list from RHEL 3?
LTC5225-Can we get the full supported locale list from RHEL 3?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 18:40 EST by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 15:00:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
RHEL3_0.html - locales (29.41 KB, text/html)
2003-11-04 10:05 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2003-10-31 18:40:23 EST
The following has be reported by IBM LTC:  
Can we get the full supported locale list from RHEL 3?
As the question states, can we get the full supported Locale list from
RHEL 3.

It should look like something similar to what is at this internal IBM
website:
http://w3.gcoc.yamato.ibm.com/books/linux/g11n/redhat72-i386-locales.html

(snippet is shown below)

Locale  Locale (setlocale())  Codeset (nl_langinfo(CODESET) 
C            C                        ANSI_X3.4-1968  
POSIX        C                        ANSI_X3.4-1968  
af_ZA      af_ZA                      ISO-8859-1  
ar_AE      ar_AE                      ISO-8859-6  
ar_AE.utf8  ar_AE.utf8                UTF-8  
ar_BH      ar_BH                      ISO-8859-6  
...
zh_TW.utf8  zh_TW.utf8                UTF-8Glen / Greg / Mark,
Just added you to cc list so you can discuss this with RedHat for
now.Glen/Greg - please submit this to Red Hat.  Thanks.

Chinen-san - For your info.  Thanks.
Comment 1 Owen Taylor 2003-11-01 08:08:22 EST
locale_config is a small (obsolete, not part of RHEL 3) tool for
changing the current system locale.

Reassigning to libc, though it really depends on what is
meant by "supported". The list of locales for which we translate
the installer and config tools is *much* smaller than all
locales that the C library supports.
Comment 2 IBM Bug Proxy 2003-11-03 13:31:16 EST
------ Additional Comments From cycheng@ca.ibm.com  2003-03-11 13:28 -------
By "supported" I mean availability, namely we need a list of all the locales and
their respective code set that are available on the RHEL v3 (and 4) platforms. 
Yvonne Chan has provided a sample table of what we need when she opened this "bug".

As you know, the list of locales is independent/separate from the languages that
RHEL v3 is translated/localized into. For example, the Danish locale is
available on all translated/localized versions of RHEL even though RHEL is not
localized into Danish. 
Comment 3 Jakub Jelinek 2003-11-03 13:59:37 EST
If you want list of locales included in glibc-common, then it is here:
C                       ANSI_X3.4-1968
POSIX                   ANSI_X3.4-1968
af_ZA                   ISO-8859-1
an_ES                   ISO-8859-15
ar_AE                   ISO-8859-6
ar_AE.UTF-8             UTF-8
ar_BH                   ISO-8859-6
ar_BH.UTF-8             UTF-8
ar_DZ                   ISO-8859-6
ar_DZ.UTF-8             UTF-8
ar_EG                   ISO-8859-6
ar_EG.UTF-8             UTF-8
ar_IN                   UTF-8
ar_IQ                   ISO-8859-6
ar_IQ.UTF-8             UTF-8
ar_JO                   ISO-8859-6
ar_JO.UTF-8             UTF-8
ar_KW                   ISO-8859-6
ar_KW.UTF-8             UTF-8
ar_LB                   ISO-8859-6
ar_LB.UTF-8             UTF-8
ar_LY                   ISO-8859-6
ar_LY.UTF-8             UTF-8
ar_MA                   ISO-8859-6
ar_MA.UTF-8             UTF-8
ar_OM                   ISO-8859-6
ar_OM.UTF-8             UTF-8
ar_QA                   ISO-8859-6
ar_QA.UTF-8             UTF-8
ar_SA                   ISO-8859-6
ar_SA.UTF-8             UTF-8
ar_SD                   ISO-8859-6
ar_SD.UTF-8             UTF-8
ar_SY                   ISO-8859-6
ar_SY.UTF-8             UTF-8
ar_TN                   ISO-8859-6
ar_TN.UTF-8             UTF-8
ar_YE                   ISO-8859-6
ar_YE.UTF-8             UTF-8
be_BY                   CP1251
be_BY.UTF-8             UTF-8
bg_BG                   CP1251
bg_BG.UTF-8             UTF-8
br_FR                   ISO-8859-1
bs_BA                   ISO-8859-2
ca_ES@euro              ISO-8859-15
ca_ES                   ISO-8859-1
ca_ES.UTF-8@euro        UTF-8
ca_ES.UTF-8             UTF-8
cs_CZ                   ISO-8859-2
cs_CZ.UTF-8             UTF-8
cy_GB                   ISO-8859-14
cy_GB.UTF-8             UTF-8
da_DK                   ISO-8859-1
da_DK.ISO-8859-15       ISO-8859-15
da_DK.UTF-8             UTF-8
de_AT@euro              ISO-8859-15
de_AT                   ISO-8859-1
de_AT.UTF-8@euro        UTF-8
de_AT.UTF-8             UTF-8
de_BE@euro              ISO-8859-15
de_BE                   ISO-8859-1
de_BE.UTF-8@euro        UTF-8
de_BE.UTF-8             UTF-8
de_CH                   ISO-8859-1
de_CH.UTF-8             UTF-8
de_DE@euro              ISO-8859-15
de_DE                   ISO-8859-1
de_DE.UTF-8@euro        UTF-8
de_DE.UTF-8             UTF-8
de_LU@euro              ISO-8859-15
de_LU                   ISO-8859-1
de_LU.UTF-8@euro        UTF-8
de_LU.UTF-8             UTF-8
el_GR                   ISO-8859-7
el_GR.UTF-8             UTF-8
en_AU                   ISO-8859-1
en_AU.UTF-8             UTF-8
en_BW                   ISO-8859-1
en_BW.UTF-8             UTF-8
en_CA                   ISO-8859-1
en_CA.UTF-8             UTF-8
en_DK                   ISO-8859-1
en_DK.UTF-8             UTF-8
en_GB                   ISO-8859-1
en_GB.ISO-8859-15       ISO-8859-15
en_GB.UTF-8             UTF-8
en_HK                   ISO-8859-1
en_HK.UTF-8             UTF-8
en_IE@euro              ISO-8859-15
en_IE                   ISO-8859-1
en_IE.UTF-8@euro        UTF-8
en_IE.UTF-8             UTF-8
en_IN                   UTF-8
en_NZ                   ISO-8859-1
en_NZ.UTF-8             UTF-8
en_PH                   ISO-8859-1
en_PH.UTF-8             UTF-8
en_SG                   ISO-8859-1
en_SG.UTF-8             UTF-8
en_US                   ISO-8859-1
en_US.ISO-8859-15       ISO-8859-15
en_US.UTF-8             UTF-8
en_ZA                   ISO-8859-1
en_ZA.UTF-8             UTF-8
en_ZW                   ISO-8859-1
en_ZW.UTF-8             UTF-8
es_AR                   ISO-8859-1
es_AR.UTF-8             UTF-8
es_BO                   ISO-8859-1
es_BO.UTF-8             UTF-8
es_CL                   ISO-8859-1
es_CL.UTF-8             UTF-8
es_CO                   ISO-8859-1
es_CO.UTF-8             UTF-8
es_CR                   ISO-8859-1
es_CR.UTF-8             UTF-8
es_DO                   ISO-8859-1
es_DO.UTF-8             UTF-8
es_EC                   ISO-8859-1
es_EC.UTF-8             UTF-8
es_ES@euro              ISO-8859-15
es_ES                   ISO-8859-1
es_ES.UTF-8@euro        UTF-8
es_ES.UTF-8             UTF-8
es_GT                   ISO-8859-1
es_GT.UTF-8             UTF-8
es_HN                   ISO-8859-1
es_HN.UTF-8             UTF-8
es_MX                   ISO-8859-1
es_MX.UTF-8             UTF-8
es_NI                   ISO-8859-1
es_NI.UTF-8             UTF-8
es_PA                   ISO-8859-1
es_PA.UTF-8             UTF-8
es_PE                   ISO-8859-1
es_PE.UTF-8             UTF-8
es_PR                   ISO-8859-1
es_PR.UTF-8             UTF-8
es_PY                   ISO-8859-1
es_PY.UTF-8             UTF-8
es_SV                   ISO-8859-1
es_SV.UTF-8             UTF-8
es_US                   ISO-8859-1
es_US.UTF-8             UTF-8
es_UY                   ISO-8859-1
es_UY.UTF-8             UTF-8
es_VE                   ISO-8859-1
es_VE.UTF-8             UTF-8
et_EE                   ISO-8859-1
et_EE.UTF-8             UTF-8
eu_ES@euro              ISO-8859-15
eu_ES                   ISO-8859-1
eu_ES.UTF-8@euro        UTF-8
eu_ES.UTF-8             UTF-8
fa_IR                   UTF-8
fi_FI@euro              ISO-8859-15
fi_FI                   ISO-8859-1
fi_FI.UTF-8@euro        UTF-8
fi_FI.UTF-8             UTF-8
fo_FO                   ISO-8859-1
fo_FO.UTF-8             UTF-8
fr_BE@euro              ISO-8859-15
fr_BE                   ISO-8859-1
fr_BE.UTF-8@euro        UTF-8
fr_BE.UTF-8             UTF-8
fr_CA                   ISO-8859-1
fr_CA.UTF-8             UTF-8
fr_CH                   ISO-8859-1
fr_CH.UTF-8             UTF-8
fr_FR@euro              ISO-8859-15
fr_FR                   ISO-8859-1
fr_FR.UTF-8@euro        UTF-8
fr_FR.UTF-8             UTF-8
fr_LU@euro              ISO-8859-15
fr_LU                   ISO-8859-1
fr_LU.UTF-8@euro        UTF-8
fr_LU.UTF-8             UTF-8
ga_IE@euro              ISO-8859-15
ga_IE                   ISO-8859-1
ga_IE.UTF-8@euro        UTF-8
ga_IE.UTF-8             UTF-8
gl_ES@euro              ISO-8859-15
gl_ES                   ISO-8859-1
gl_ES.UTF-8@euro        UTF-8
gl_ES.UTF-8             UTF-8
gv_GB                   ISO-8859-1
gv_GB.UTF-8             UTF-8
he_IL                   ISO-8859-8
he_IL.UTF-8             UTF-8
hi_IN                   UTF-8
hr_HR                   ISO-8859-2
hr_HR.UTF-8             UTF-8
hu_HU                   ISO-8859-2
hu_HU.UTF-8             UTF-8
id_ID                   ISO-8859-1
id_ID.UTF-8             UTF-8
is_IS                   ISO-8859-1
is_IS.UTF-8             UTF-8
it_CH                   ISO-8859-1
it_CH.UTF-8             UTF-8
it_IT@euro              ISO-8859-15
it_IT                   ISO-8859-1
it_IT.UTF-8@euro        UTF-8
it_IT.UTF-8             UTF-8
iw_IL                   ISO-8859-8
iw_IL.UTF-8             UTF-8
ja_JP.EUC-JP            EUC-JP
ja_JP.UTF-8             UTF-8
ka_GE                   GEORGIAN-PS
kl_GL                   ISO-8859-1
kl_GL.UTF-8             UTF-8
ko_KR.EUC-KR            EUC-KR
ko_KR.UTF-8             UTF-8
kw_GB                   ISO-8859-1
kw_GB.UTF-8             UTF-8
lo_LA                   UTF-8
lt_LT                   ISO-8859-13
lt_LT.UTF-8             UTF-8
lv_LV                   ISO-8859-13
lv_LV.UTF-8             UTF-8
mi_NZ                   ISO-8859-13
mk_MK                   ISO-8859-5
mk_MK.UTF-8             UTF-8
mr_IN                   UTF-8
ms_MY                   ISO-8859-1
ms_MY.UTF-8             UTF-8
mt_MT                   ISO-8859-3
mt_MT.UTF-8             UTF-8
nl_BE@euro              ISO-8859-15
nl_BE                   ISO-8859-1
nl_BE.UTF-8@euro        UTF-8
nl_BE.UTF-8             UTF-8
nl_NL@euro              ISO-8859-15
nl_NL                   ISO-8859-1
nl_NL.UTF-8@euro        UTF-8
nl_NL.UTF-8             UTF-8
nn_NO                   ISO-8859-1
nn_NO.UTF-8             UTF-8
no_NO                   ISO-8859-1
no_NO.UTF-8             UTF-8
oc_FR                   ISO-8859-1
pl_PL                   ISO-8859-2
pl_PL.UTF-8             UTF-8
pt_BR                   ISO-8859-1
pt_BR.UTF-8             UTF-8
pt_PT@euro              ISO-8859-15
pt_PT                   ISO-8859-1
pt_PT.UTF-8@euro        UTF-8
pt_PT.UTF-8             UTF-8
ro_RO                   ISO-8859-2
ro_RO.UTF-8             UTF-8
ru_RU                   ISO-8859-5
ru_RU.KOI8-R            KOI8-R
ru_RU.UTF-8             UTF-8
ru_UA                   KOI8-U
ru_UA.UTF-8             UTF-8
se_NO                   UTF-8
sk_SK                   ISO-8859-2
sk_SK.UTF-8             UTF-8
sl_SI                   ISO-8859-2
sl_SI.UTF-8             UTF-8
sq_AL                   ISO-8859-1
sq_AL.UTF-8             UTF-8
sr_YU@cyrillic          ISO-8859-5
sr_YU                   ISO-8859-2
sr_YU.UTF-8@cyrillic    UTF-8
sr_YU.UTF-8             UTF-8
sv_FI@euro              ISO-8859-15
sv_FI                   ISO-8859-1
sv_FI.UTF-8@euro        UTF-8
sv_FI.UTF-8             UTF-8
sv_SE                   ISO-8859-1
sv_SE.ISO-8859-15       ISO-8859-15
sv_SE.UTF-8             UTF-8
ta_IN                   UTF-8
te_IN                   UTF-8
tg_TJ                   KOI8-T
th_TH                   TIS-620
th_TH.UTF-8             UTF-8
tl_PH                   ISO-8859-1
tr_TR                   ISO-8859-9
tr_TR.UTF-8             UTF-8
uk_UA                   KOI8-U
uk_UA.UTF-8             UTF-8
ur_PK                   UTF-8
uz_UZ                   ISO-8859-1
vi_VN.TCVN              TCVN5712-1
vi_VN                   UTF-8
wa_BE@euro              ISO-8859-15
wa_BE                   ISO-8859-1
yi_US                   CP1255
zh_CN.GB18030           GB18030
zh_CN                   GB2312
zh_CN.GBK               GBK
zh_CN.UTF-8             UTF-8
zh_HK                   BIG5-HKSCS
zh_HK.UTF-8             UTF-8
zh_TW                   BIG5
zh_TW.EUC-TW            EUC-TW
zh_TW.UTF-8             UTF-8
Comment 4 IBM Bug Proxy 2003-11-04 09:57:09 EST
------ Additional Comments From chinen@jp.ibm.com  2003-04-11 05:09 -------
| By "supported" I mean availability, namely we need a list of all the locales and
| their respective code set that are available on the RHEL v3 (and 4) platforms.

If you just would like to know:
 - the locales which are available on a system
 - the codeset of each locale
, please try to the following script.

The script outputs a html which is a list of the available locales and
the codesets. Therefore, on the system where all locales are installed,
you can get the answer against above-mentioned question.

---8<--- locale_table.sh ---8<---

#/bin/sh

PAGE_TITLE='Available Locales'
echo '<html>'
echo "<head><title>${PAGE_TITLE}</title></head>"
echo '<body bgcolor="#ffffff">'
echo "<p><b>${PAGE_TITLE}</b></p>"
echo '<hr>'
echo '<table border="1"><tbody>'
echo ' <tr>'
echo '  <th bgcolor="#0000ff"><font color="#ffffff">Locale</font> </th>'
echo '  <th bgcolor="#0000ff"><font color="#ffffff">Codeset</font></th>'
echo ' </tr>'

# List the names of available locales
locale -a > /tmp/locale_list.$$
while read locale_name ; do
  codeset_name=`LANG=${locale_name} locale charmap`
  echo ' <tr>'
  echo "  <td> ${locale_name} </td>"
  echo "  <td> ${codeset_name} </td>"
  echo ' </tr>'
done < /tmp/locale_list.$$
rm -f /tmp/locale_list.$$

echo '</tbody></table>'
echo '</body>'
echo '</html>' 
Comment 5 IBM Bug Proxy 2003-11-04 10:05:11 EST
Created attachment 95708 [details]
RHEL3_0.html  - locales
Comment 6 IBM Bug Proxy 2003-11-04 10:05:38 EST
------ Additional Comments From chinen@jp.ibm.com  2003-04-11 05:18 -------
 
Available locale list of RHEL 3.0

Here's the list created by locale_table.sh on RHEL 3.0.

At the install time, I chose `Select All' on the
`Select additional languages to install on the system' category
of `Additional Language Support'. 
Comment 7 IBM Bug Proxy 2003-11-13 11:09:30 EST
------ Additional Comments From cycheng@ca.ibm.com  2003-13-11 09:59 -------
Thanks...your attachment is good...Cheers, Alexis 
Comment 8 IBM Bug Proxy 2003-11-13 14:22:45 EST
------ Additional Comments From chinen@jp.ibm.com  2003-13-11 04:55 -------
Alexis,

Does my list work for you?
Or do you need another information? 
Comment 9 IBM Bug Proxy 2003-11-16 21:20:04 EST
------ Additional Comments From chinen@jp.ibm.com  2003-16-11 21:15 -------
As the list I prepared is good for the submitter,
I'd like to close this bug report.

Many thanks to RedHat.

Regards, 
Comment 10 Suzanne Hillman 2003-12-16 15:00:32 EST
Closing, as per comment #9.

Note You need to log in before you can comment on or make changes to this bug.